Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfReferenceFormatType

    java.lang.Object
      java.lang.Enum<OdfReferenceFormatType>
          org.odftoolkit.odfdom.dom.type.text.OdfReferenceFormatType

All Implemented Interfaces:
  Serializable, Comparable<OdfReferenceFormatType>

    public enum OdfReferenceFormatType

extends Enum<OdfReferenceFormatType>

DOM implementation of OpenDocument attribute text:reference-format.

Enum Constant Summary
`CHAPTER`
`DIRECTION`
`PAGE`
`TEXT`

Method Summary
`static OdfReferenceFormatType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfReferenceFormatType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfReferenceFormatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfReferenceFormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIRECTION

    public static final OdfReferenceFormatType DIRECTION

### PAGE

    public static final OdfReferenceFormatType PAGE

### TEXT

    public static final OdfReferenceFormatType TEXT

### CHAPTER

    public static final OdfReferenceFormatType CHAPTER

Method Detail

### values

    public static OdfReferenceFormatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfReferenceFormatType c : OdfReferenceFormatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfReferenceFormatType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfReferenceFormatType>`
  Returns:
    return the name of OdfReferenceFormatType

### toString

    public static String toString(OdfReferenceFormatType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfReferenceFormatType, see text:reference-format
  Returns:
    return the name of OdfReferenceFormatType

### enumValueOf

    public static OdfReferenceFormatType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfReferenceFormatType
  Returns:
    return the constant of OdfReferenceFormatType, see text:reference-format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.